/*****************************************************************************/
/* htmltable.h - 09/08/99 - By Christophe LOREK - CRYO-NETWORKS              */
/*                                                                           */
/* HTMLTABLE class                                                           */
/*                                                                           */
/* last modified on 09/08/99 By Christophe LOREK                             */
/*****************************************************************************/


#ifndef HTMLTABLE_H
#define HTMLTABLE_H

#include <stdlib.h>
#include <string.h>

#include "node.h"
#include "structs.h"
#include "../x/version.h"
#include "../x/scolplugin.h"

// HTMLTABLE frame flags
#define	HTMLTABLE_FRAME_VOID		0
#define	HTMLTABLE_FRAME_ABOVE		1
#define	HTMLTABLE_FRAME_BELOW		2
#define	HTMLTABLE_FRAME_HSIDES	3
#define	HTMLTABLE_FRAME_LHS			4
#define	HTMLTABLE_FRAME_RHS			5
#define	HTMLTABLE_FRAME_VSIDES	6
#define	HTMLTABLE_FRAME_BOX			7
#define	HTMLTABLE_FRAME_BORDER	8

// HTMLTABLE rules flags
#define	HTMLTABLE_RULES_NONE		0
#define	HTMLTABLE_RULES_GROUPS	1
#define	HTMLTABLE_RULES_ROWS		2
#define	HTMLTABLE_RULES_COLS		3
#define	HTMLTABLE_RULES_ALL			4


class HTMLTABLE 
{
	public :
		int x;
		int y;
		int w;
		int h;
		int cx;
		int cy;

	private :
		int		align;
		int		red,green,blue;	
		int		cols;
		int		border;
		int		frame;
		int		rules;
		int		cellspacing;
		int		cellpadding;

	public :
	
	HTMLTABLE(mmachine m,int align,int red,int green,int blue,int width,int cols,int border,int frame,int rules,int cellspacing,int cellpadding);

	~HTMLTABLE();
	int DRAWtable();

	int Align();
	int Red();
	int Green();
	int Blue();
	int Cols();
	int Border();
	int Frame();
	int Rules();
	int Cellspacing();
	int Cellpadding();

};

#endif
